from sqlalchemy import (
    Column,
    Integer,
    String,
    Text,
    ForeignKey,
)

from sqlalchemy.orm import relationship

from app.db.base_class import Base


class Lesson(Base):
    id = Column(Integer, primary_key=True, index=True)
    title = Column(Text, index=True, nullable=True)
    content = Column(Text, nullable=False)
    tags = Column(Text, nullable=True)

    submitter_id = Column(
        String(10),
        ForeignKey("user.id"),
        nullable=True)

    submitter = relationship(
        "User",
        back_populates="lessons")
