from sqlalchemy import (
    Column,
    Integer,
    String,
    Boolean,
)

from sqlalchemy.orm import relationship

from app.db.base_class import Base


class User(Base):
    id = Column(Integer, primary_key=True, index=True)
    
    first_name = Column(String(256), nullable=True)
    surname = Column(String(256), nullable=True)
    email = Column(String, index=True, nullable=False)
    is_superuser = Column(Boolean, default=False)

    lessons = relationship(
        "Lesson",
        cascade="all,delete-orphan",
        back_populates="submitter",
        uselist=True,
    )

    hashed_password = Column(String, nullable=False)
