from pydantic import BaseModel

from typing import List, Sequence


class LessonBase(BaseModel):
    title: str
    content: str
    tags: str


class LessonCreate(LessonBase):
    title: str
    content: str
    tags: str
    submitter_id: int


class LessonUpdate(LessonBase):
    title: str
    content: str
    tags: str


# Properties shared by models stored in DB
class LessonInDBBase(LessonBase):
    id: int
    submitter_id: int

    class Config:
        orm_mode = True


# Properties to return to client
class Lesson(LessonInDBBase):
    pass


# Properties properties stored in DB
class LessonInDB(LessonInDBBase):
    pass


class LessonSearchResults(BaseModel):
    results: Sequence[Lesson]
