import Lesson from "../Lesson";
import React, {useState} from "react";
import PopupModal from "../Modal/PopupModal";
import FormInput from "../FormInput/FormInput";

const LessonTable = ({lessons}) => {

  const [lessonInfoModal, setLessonInfoModal] = useState(false)

    return (
      <>
        <div className="sections-list">
          {lessons.length && (
              lessons.map((lesson) => (
                <Lesson showLessonInfoModal={() => setLessonInfoModal(lesson)} key={lesson.id} lesson={lesson}  />
              ))
          )}
          {!lessons.length && (
              <p>No lessons found!</p>
          )}
        </div>
        {lessonInfoModal && <PopupModal
						modalTitle={"Lesson Info"}
						onCloseBtnPress={() => {
							setLessonInfoModal(false);
						}}
					>
						<div className="mt-4 text-left">
							<form className="mt-5">
								<FormInput
									disabled
									type={"text"}
									name={"title"}
									label={"title"}
									value={lessonInfoModal?.title}
								/>
								<FormInput
									disabled
									type={"text"}
									name={"content"}
									label={"content"}
									value={lessonInfoModal?.content}
								/>
								<FormInput
									disabled
									type={"text"}
									name={"tags"}
									label={"tags"}
									value={lessonInfoModal?.tags}
								/>
							</form>
						</div>
					</PopupModal>}
      </>
    )
}

export default LessonTable;